Bug 435644 - Latest setroubleshoot-plugins package causes massive unrequired dependency cascade
Latest setroubleshoot-plugins package causes massive unrequired dependency ca...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot-plugins (Show other bugs)
8
All Linux
high Severity high
: ---
: ---
Assigned To: John Dennis
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-03-02 17:06 EST by Daniel McNamara
Modified: 2008-03-10 04:29 EDT (History)
1 user (show)

See Also:
Fixed In Version: 2.0.4-4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-03 10:46:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Reproduction of issue (13.23 KB, text/plain)
2008-03-02 17:06 EST, Daniel McNamara
no flags Details

  None (edit)
Description Daniel McNamara 2008-03-02 17:06:44 EST
Description of problem:

Latest update of setroubleshoot-plugins pull ins setroubleshoot on non-gui
systems resulting in further dependency cascades as it pull in X and half of GNOME

Version-Release number of selected component (if applicable):

2.0.4-3.fc8

How reproducible:

Everytime


Steps to Reproduce:
1. Have a non-gui system installed with setroubleshoot-server-1.10.7-1.fc8 and
setroubleshoot-plugins-1.10.4-1.fc8
2. Run yum update to pull down updates for both packages
3. Stare in horror as you reliase that setroubleshoot-plugins suddenly has a
dependency for setroubleshoot, which then goes to cascade onto pulling in half
of GNOME.

Actual results:

setroubleshoot-plugins for some reason now requires setroubleshoot

Expected results:

setroubleshoot-plugins should be able to run independent of setroubleshoot,
simply with setroubleshoot-server for non-gui environments that wish to benefit
from the help the setroubleshoot-server can bring. Change in dependency could
cause a lot of havoc for those that aren't so careuful in running updates.

Additional info:

Text file attached showing the full reproduction of the issue
Comment 1 Daniel McNamara 2008-03-02 17:06:44 EST
Created attachment 296528 [details]
Reproduction of issue
Comment 2 John Dennis 2008-03-03 10:46:09 EST
Thank you for reporting this. The spec file had the wrong requires, it should
have required setroubleshoot-server, not setroubleshoot. It's been fixed and
should appear in an update shortly.
Comment 3 Fedora Update System 2008-03-03 11:36:18 EST
setroubleshoot-plugins-2.0.4-4.fc8 has been submitted as an update for Fedora 8
Comment 4 Fedora Update System 2008-03-06 11:39:02 EST
setroubleshoot-plugins-2.0.4-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Daniel McNamara 2008-03-06 17:29:45 EST
Just waiting for mirrors to sync then I'll test and confirm
Comment 6 Daniel McNamara 2008-03-10 04:29:32 EDT
Confirm issue resolved. Thanks for the fast reaction on this

Note You need to log in before you can comment on or make changes to this bug.